Package org.eclipse.m2m.atl.engine

# Class ProblemConverter

java.lang.Object
org.eclipse.m2m.atl.engine.ProblemConverter

public final class ProblemConverter extends Object
Utility class that translates ATL problem objects into an easily accessible `CompileTimeError` objects.

## Method Summary

Modifier and Type
Method
Description
`static CompileTimeError`
`convertProblem(org.eclipse.emf.ecore.EObject problemObject)`
Returns an easily readable representation of a problem that occured during compilation of an ATL script.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### convertProblem

public static CompileTimeError convertProblem(org.eclipse.emf.ecore.EObject problemObject)
Returns an easily readable representation of a problem that occured during compilation of an ATL script.

Parameters:
  `problemObject` - the internal representation of the problem
Returns:
  easily readable CompileTimeError object